# Uses of Interface
org.xnio.conduits.ReadReadyHandler

Packages that use ReadReadyHandler
Package
Description
org.xnio.conduits
The XNIO conduit SPI.

## Uses of ReadReadyHandler in org.xnio.conduits

Classes in org.xnio.conduits that implement ReadReadyHandler
Modifier and Type
Class
Description
`static class`
`ReadReadyHandler.ChannelListenerHandler<C extends SuspendableReadChannel & ReadListenerSettable<C> & CloseListenerSettable<C>>`
A read ready handler which calls channel listener(s).
Methods in org.xnio.conduits with parameters of type ReadReadyHandler
Modifier and Type
Method
Description
`void`
AbstractSourceConduit.`setReadReadyHandler(ReadReadyHandler handler)`
`void`
AbstractSynchronizedSourceConduit.`setReadReadyHandler(ReadReadyHandler handler)`
`void`
EmptyStreamSourceConduit.`setReadReadyHandler(ReadReadyHandler handler)`
`void`
PushBackStreamSourceConduit.`setReadReadyHandler(ReadReadyHandler handler)`
`void`
SourceConduit.`setReadReadyHandler(ReadReadyHandler handler)`
Set the handler which should receive readiness notifications.
`void`
StreamSourceChannelWrappingConduit.`setReadReadyHandler(ReadReadyHandler handler)`
Constructors in org.xnio.conduits with parameters of type ReadReadyHandler
Modifier
Constructor
Description
``
`ReadyTask(ReadReadyHandler handler)`
Construct a new instance.